#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat Mar 21 22:55:31 2020

@author: xofe
"""

import matplotlib.pyplot as plt
nPoints = 15
V0 = 0.
y0 = 10.
t = [i * 0.04 for i in range (nPoints + 1)]
y = [-0.5 * 9.8 * i**2 + y0 for i in t]
x = [0 * i for i in range(nPoints + 1)]
v = [(y[i+1] - y[i]) / 0.04 for i in range(nPoints)]
Dv = [(v[i+1] - v[i]) / 0.04 for i in range(nPoints-1)]

plt.xlim(-0.00025, 0.001)
plt.ylim(8.15, 10.2)
plt.scatter(x, y, marker = "o", color = "blue", label = "Positions successives")
plt.quiver(x[:-1:2], y[:-1:2], 0, v[::2], units = "dots", scale = 0.05, label = "Vecteur vitesse")
plt.quiver(x[:-2:2], y[:-2:2], 0, Dv[::2], units = "dots", scale = 0.25, label = "Vecteur variation de vitesse", color = "red")
plt.quiver(-0.00009, 9.75, 1, 0, units = "dots", scale = 0.025, color = "green", label = "Echelle des vitesses : 2 m/s")
plt.quiver(-0.00009, 9.65, 1, 0, units = "dots", scale = 0.025, color = "orange", label = "Echelle des Dv/Dt : 10 m/s²")
plt.legend(loc = 'upper center', bbox_to_anchor = (0.1, 1))
plt.show()
